Browse Source

Integrate backtrace test into the automake test suite.

For this to work bt_test.py now returns an exit code indicating success or
failure. Additionally, check-local and its specific dependencies are now
obsolete so they are removed.
cypherpunks 9 years ago
parent
commit
0e89abfa73
5 changed files with 14 additions and 17 deletions
  1. 1 0
      .gitignore
  2. 1 0
      configure.ac
  3. 2 2
      src/test/bt_test.py
  4. 1 15
      src/test/include.am
  5. 9 0
      src/test/test_bt.sh.in

+ 1 - 0
.gitignore

@@ -176,6 +176,7 @@ cscope.*
 /src/test/test_workqueue.exe
 /src/test/test_zero_length_keys.sh
 /src/test/test_ntor.sh
+/src/test/test_bt.sh
 
 # /src/tools/
 /src/tools/tor-checkkey

+ 1 - 0
configure.ac

@@ -1664,6 +1664,7 @@ AC_CONFIG_FILES([
         scripts/maint/updateVersions.pl
         src/test/test_zero_length_keys.sh
         src/test/test_ntor.sh
+        src/test/test_bt.sh
 ])
 
 if test x$asciidoc = xtrue && test "$ASCIIDOC" = "none" ; then

+ 2 - 2
src/test/bt_test.py

@@ -36,7 +36,7 @@ LINES = sys.stdin.readlines()
 for I in range(len(LINES)):
     if matches(LINES[I:], FUNCNAMES):
         print("OK")
-        break
+        sys.exit(0)
 else:
     print("BAD")
-
+    sys.exit(1)

+ 1 - 15
src/test/include.am

@@ -2,7 +2,7 @@ TESTS += src/test/test src/test/test-slow src/test/test-memwipe \
 	src/test/test_zero_length_keys.sh
 
 if USEPYTHON
-TESTS += src/test/test_ntor.sh
+TESTS += src/test/test_ntor.sh src/test/test_bt.sh
 endif
 
 TEST_EXTENSIONS = .sh
@@ -154,13 +154,6 @@ src_test_test_ntor_cl_LDADD = src/or/libtor.a src/common/libor.a \
 	@TOR_OPENSSL_LIBS@ @TOR_LIB_WS32@ @TOR_LIB_GDI@ @CURVE25519_LIBS@
 src_test_test_ntor_cl_AM_CPPFLAGS =	       \
 	-I"$(top_srcdir)/src/or"
-NTOR_TEST_DEPS=src/test/test-ntor-cl
-
-if COVERAGE_ENABLED
-CMDLINE_TEST_TOR = $(top_builddir)/src/or/tor-cov
-else
-CMDLINE_TEST_TOR = $(top_builddir)/src/or/tor
-endif
 
 noinst_PROGRAMS += src/test/test-bt-cl
 src_test_test_bt_cl_SOURCES = src/test/test_bt_cl.c
@@ -170,13 +163,6 @@ src_test_test_bt_cl_LDADD = src/common/libor-testing.a \
 src_test_test_bt_cl_CFLAGS = $(AM_CFLAGS) $(TEST_CFLAGS)
 src_test_test_bt_cl_CPPFLAGS= $(src_test_AM_CPPFLAGS) $(TEST_CPPFLAGS)
 
-
-check-local: $(NTOR_TEST_DEPS) $(CMDLINE_TEST_TOR)
-if USEPYTHON
-	$(top_builddir)/src/test/test-bt-cl assert | $(PYTHON) $(top_srcdir)/src/test/bt_test.py
-	$(top_builddir)/src/test/test-bt-cl crash | $(PYTHON) $(top_srcdir)/src/test/bt_test.py
-endif
-
 EXTRA_DIST += \
 	src/test/bt_test.py \
 	src/test/ntor_ref.py \

+ 9 - 0
src/test/test_bt.sh.in

@@ -0,0 +1,9 @@
+#!/bin/sh
+# Test backtrace functionality.
+
+exitcode=0
+
+@builddir@/src/test/test-bt-cl assert | @PYTHON@ @abs_top_srcdir@/src/test/bt_test.py || exitcode=1
+@builddir@/src/test/test-bt-cl crash | @PYTHON@ @abs_top_srcdir@/src/test/bt_test.py || exitcode=1
+
+exit ${exitcode}